Main Page Class Hierarchy Compound List File List Compound Members File Members

# TimeInfoPkg Class Reference

implementa il messaggio di sincronizzazione. More...

`#include <TimeInfoPkg.h>`

Inheritance diagram for TimeInfoPkg:

List of all members.

## Public Methods
| TimeInfoPkg (int a, time_t time, bool ack)
| Costruttore ordinario. More...
| TimeInfoPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~TimeInfoPkg ()
| Distruttore di Default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...
time_t | getTime ()
| Ritorna il tempo. More...
void | setTime (time_t time)
| Imposta il Tempo. More...
## Protected Attributes
time_t | clockTime
| Tempo.

## Detailed Description

implementa il messaggio di sincronizzazione.

Viene spedito per sincronizzare gli orologi del ricevente, contiene il clock aggiornato. Telepati è strutturato in modo da aggiornare l'ora contenuta in un TimeInfoPkg poco prima di spedirlo via rete.Struttura: e' composto dall'header standard e dal clock (sizeof(time_t))

## Constructor & Destructor Documentation

TimeInfoPkg::TimeInfoPkg | ( | int | a,
|  | time_t | time,
|  | bool | ack
| ) |

  | Costruttore ordinario. Parameters:
  a | aibo di destinazione.
  time | tempo da impostare.
  ack | se richiede o meno l'Ack

TimeInfoPkg::TimeInfoPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * TimeInfoPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

byte * TimeInfoPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: TimeInfoPkg(byte* ptr) Implements TelepatiPkg.

time_t TimeInfoPkg::getTime | ( |  | ) | `[inline]`

| Ritorna il tempo. Restituisce il tempo memorizzato nel messaggio

void TimeInfoPkg::setTime | ( | time_t | time | ) | `[inline]`

  | Imposta il Tempo. Imposta il tempo del messaggio. Parameters:
  time | nuovo tempo da memorizzare.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/TimeInfoPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/TimeInfoPkg.cc